-- JTO/blobstore: table holding the sequence for the unique identifiers.
CREATE TABLE OF_Jto_ID
(
   JtoID INTEGER IDENTITY,
   field2 INTEGER
)
;

-- JTO/blobstore: table holding the JTO identifer/data.
CREATE TABLE OF_Jto
(
   JtoID VARCHAR(36) NOT NULL,
   Data BINARY NOT NULL,
   PRIMARY KEY (JtoID)
)
;

-- Event database: table holding the stored events.
CREATE TABLE OF_Events
(
   EventID INTEGER NOT NULL,
   ChannelID VARCHAR(36) NOT NULL,
   TStamp TIMESTAMP NOT NULL,
   Data BINARY NOT NULL,
   FOREIGN KEY (ChannelID) REFERENCES OF_Jto (JtoID) ON DELETE CASCADE,
   PRIMARY KEY (EventID, ChannelID)
)
;

-- Event database: table holding the pushing/pushed records.
CREATE TABLE OF_Push
(
   ProxyID VARCHAR(36) NOT NULL,
   EventID INTEGER NOT NULL,
   ChannelID VARCHAR(36) NOT NULL,
   Status INTEGER NOT NULL,
   FOREIGN KEY (EventID, ChannelID) REFERENCES OF_Events (EventID, ChannelID) ON DELETE CASCADE,
   PRIMARY KEY (ProxyID, ChannelID, EventID)
)
;
