/*************************************************************************
 *                           - COPYRIGHT NOTICE -                        *
 *                                                                       *
 * The information contained herein and which follows is proprietary     *
 * information and is the property of PrismTech Corporation.  This       *
 * information is not to be divulged, released, copied, reproduced, or   *
 * conveyed to unauthorized personnel, companies, or other institutions  *
 * without the direct and expressed approval in writing of PrismTech     *
 * Corporation.                                                          *
 *                                                                       *
 *                                                                       *
 *                           - DISCLAIMER -                              *
 * Neither PrismTech Limited nor PrismTech Corporation ("PrismTech")     *
 * are under any obligation to support the use of this code which is     *
 * provided without warranty of any kind. PrismTech shall (except as     *
 * otherwise prohibited by law) have no liability whatsoever in relation *
 * to its use.                                                           *
 *                                                                       *
 ************************************************************************/

/**
 * @author PrismTech
 * @version Version 1.0
 */

package com.prismt.cos.CosNaming.examples.LoadBalance;

import com.prismt.orb.*;


/**
 * <code>ServerImpl</code> is the implementation of the the Server that is
 * bound into the LoadBalancer
 *
 */
public class ServerImpl implements ServerOperations
{
   /**
    * <code>numberOfServers</code> allows each server to have a unique name.
    */
   public static int numberOfServers = 0;

   private String name;


   /**
    * Creates a new <code>ServerImpl</code> instance.
    *
    */
   public ServerImpl ()
   {
      name = "Server " + ServerImpl.numberOfServers;

      ServerImpl.numberOfServers++;

      ObjectAdapter.createTransient (this);
   }

   /**
    * <code>getName</code> returns the unique name of this server.
    *
    * @return a <code>String</code> value
    */
   public String getName ()
   {
      return name;
   }
}
