package com.prismt.cos.CosNotification.examples.Benchmark;

import org.omg.CosNotification.BestEffort;
import org.omg.CosNotification.EventHeader;
import org.omg.CosNotification.EventReliability;
import org.omg.CosNotification.EventType;
import org.omg.CosNotification.FixedEventHeader;
import org.omg.CosNotification.Persistent;
import org.omg.CosNotification.Property;
import org.omg.CosNotification.StructuredEvent;
import org.omg.CORBA.ORB;

/**
 * @author js
 *
 * Creates default StructuredEvents. This code was cut out of 
 * {@link BenchmarkStructuredSupplier}.
 */
public class DefaultEventFactory implements EventFactory
{

   public DefaultEventFactory()
   {
   }


   public org.omg.CosNotification.StructuredEvent getStructuredEvent
      (boolean persistenceSpecified, boolean persistent, ORB orb, int id)
   {
      StructuredEvent event = new StructuredEvent ();

      EventType type = new EventType ("", "");
      FixedEventHeader fixed = new FixedEventHeader (type, "");

      Property variable[] = null;
      if (persistenceSpecified)
      {
         variable = new Property [1];
         variable [0] = new Property ();
         variable [0].name = EventReliability.value;
         variable [0].value = orb.create_any ();
         if (persistent)
         {
            variable [0].value.insert_short (Persistent.value);
         }
         else
         {
            variable [0].value.insert_short (BestEffort.value);
         }
      }
      else
      {
         variable = new Property [0];
      }

      org.omg.CORBA.Any data = orb.create_any ();
      data.insert_long (id);

      event.header = new EventHeader (fixed, variable);
      event.filterable_data = new Property [0];
      event.remainder_of_body = data;

      return event;
   }


   public org.omg.CORBA.Any getEvent (ORB orb, int id)
   {
      org.omg.CORBA.Any event = orb.create_any ();
      event.insert_long (id);
      return event;
   }
}
