package com.prismt.cos.CosNotification.examples.Benchmark;

import org.omg.CosNotification.StructuredEvent;
import org.omg.CORBA.Any;
import org.omg.CORBA.ORB;


/**
 * @author js
 *
 * An EventFactory manufactures {@link org.omg.CosNotification.StructuredEvent}s for
 * use in the com.prismt.cos.CosNotification.Benchmark examples. 
 */
public interface EventFactory
{
   /**
    * Creates a structured event.
    * @param persistenceSpecified   whether the event persistence was actively set
    * @param persistent             if above is true: whether the event is persistent or not 
    * @param orb                    the org.omg.CORBA.ORB currently being used
    * @param id                     the id of the event
    * @return A structured event instance
    */
   public StructuredEvent getStructuredEvent (boolean persistenceSpecified,
                                              boolean persistent,
                                              ORB orb, int id);


   /**
    * @param orb          the org.omg.CORBA.ORB currently being used
    * @param id           the id of the event
    * @return An untyped event instance.
    */
   public Any getEvent (ORB orb, int id);
}
