package com.prismt.cos.CosNotification.examples.Security;

/*************************************************************************
 *                           - COPYRIGHT NOTICE -                        *
 *                                                                       *
 * The information contained herein and which follows is proprietary     *
 * information and is the property of PrismTech Corporation.  This       *
 * information is not to be divulged, released, copied, reproduced, or   *
 * conveyed to unauthorized personnel, companies, or other institutions  *
 * without the direct and expressed approval in writing of PrismTech     *
 * Corporation.                                                          *
 *                                                                       *
 *                                                                       *
 *                           - DISCLAIMER -                              *
 * Neither PrismTech Limited nor PrismTech Corporation ("PrismTech")     *
 * are under any obligation to support the use of this code which is     *
 * provided without warranty of any kind. PrismTech shall (except as     *
 * otherwise prohibited by law) have no liability whatsoever in relation *
 * to its use.                                                           *
 *                                                                       *
 ************************************************************************/

/**
 * @author PrismTech
 * @version Version 1.0
 */

import org.omg.CosNotifyChannelAdmin.*;
import com.prismt.orb.ObjectAdapter;
import com.prismt.openfusion.security.util.*;
import com.prismt.openfusion.util.Info;

/** Retrieves a new event channel
 */
public class RetrieveChannel
{

   public RetrieveChannel( org.omg.CORBA.ORB orb )
   {
      org.omg.CORBA.Object notRef = null;
      EventChannel channel = null;

      System.out.print ("Readying orb...");
      ObjectAdapter.ready (false);
      System.out.println ("Success");

      // Get the event channel
      try
      {
         channel = ChannelUtil.createChannel (orb);
      }
      catch ( org.omg.CORBA.ORBPackage.InvalidName in)
      {
         System.out.println ("Could not resolve notification service");
         System.exit (1);
      }

      if (channel == null)
      {
         System.out.println ("Could not get event channel");
      }
      else
      {
         System.out.println( "Event channel created and returned successfully" );
      }
   }

   public static void main (String[] args) throws Exception
   {
      /* Setup credentials */
      String credential = null;
      String password = null;

      if( args.length == 0 )
      {
         System.out.println( "Using default credential" );
         credential = "username";
         password = "password";
      }
      else if (args.length == 2)
      {
         System.out.println( "Using credential: " + args[0] );
         credential = args[0];
         password = args[1];
      }
      else
      {
         System.out.println("You must enter a name and password or no credentials at all");
         System.exit(0);
      }

      /* Use Configuration object to setup Credential */
      Configuration config =  Configuration.getInstance();
      config.setGSSUPUserName( credential );
      config.setGSSUPPassword( password );

      System.out.print ("Initialising the orb...");

      org.omg.CORBA.ORB orb = ObjectAdapter.init (args);
      System.out.println ("Success");

      System.out.println ( "Attempting to create an event channel" );
      RetrieveChannel ep = new RetrieveChannel(orb);

      System.exit(0);
   }
}






