package org.jacorb.imrutility.imr;

import java.io.Serializable;

/**
 * Stores details of a server registered under a specific POA name.  
 * Used to store in memory and persistence
 */
public class POARecord implements Serializable
{
    /**
     * The endpoints of the server with which this record is associated
     */
    EndpointProfile [] endpoints;

    /**
     * The id of the server with which this record is associated
     */
    long id;

    /**
     * Constructor
     * @param <code>epoints</code> the endpoints of the server
     * @param <code>sID</code> the id of the server
     */
    public POARecord(EndpointProfile [] epoints, long sID)
    {
        endpoints = epoints;
        id = sID;
    }

    /**
     * Returns the endpoints for the server
     */    
    public EndpointProfile[] getEndpoints()
    {
        return endpoints;
    }
    
    /**
     * Returns the ID for the server
     */
    public long getID()
    {
        return id;
    }
}
