package org.jacorb.test.orb;

/*
 *        JacORB  - a free Java ORB
 *
 *   Copyright (C) 1997-2001  Gerald Brose.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Library General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Library General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import junit.framework.*;

public class AllTest extends TestCase
{
    public AllTest (String name)
    {
        super (name);
    }

    public static Test suite ()
    {
        TestSuite suite = new TestSuite ("All ORB Tests");

        suite.addTest (org.jacorb.test.orb.DIOPIORTest.suite());
        suite.addTest (org.jacorb.test.orb.InvalidIORTest.suite());
        suite.addTest (org.jacorb.test.orb.ORBInitTest.suite());
        suite.addTest (org.jacorb.test.orb.BasicTest.suite());
        suite.addTest (org.jacorb.test.orb.CharTest.suite());
        suite.addTest (org.jacorb.test.orb.CallbackTest.suite());

        // Don't do RMI under J9 or CVM - use reflection so this can be compiled.
        if (System.getProperty("J9_EXE") == null && System.getProperty("CVM_EXE") == null)
        {
            try
            {
                Class rmi = Class.forName("org.jacorb.test.orb.rmi.AllTest");
                suite.addTest
                (
                    (TestSuite)(rmi.getMethod
                                ("suite", null).invoke(null, new Object[] {}))
                );
            }
            catch (Exception e)
            {
                System.out.println
                    ("Could not add org.jacorb.test.orb.rmi.AllTest due to " + e);
                throw new RuntimeException (e.toString());
            }
            // Don't bother running these as they chain down onto util.ValueHandler which
            // is a NO_IMPLEMENT under these JVMs
            suite.addTest (org.jacorb.test.orb.value.ValueTest.suite ());
            suite.addTest (org.jacorb.test.orb.value.ValueCustomTest.suite ());
        }

        suite.addTest (org.jacorb.test.orb.dynany.AllTest.suite ());
        suite.addTest (org.jacorb.test.orb.policies.AllTest.suite());
        suite.addTest (org.jacorb.test.orb.connection.AllTest.suite ());

        suite.addTest (org.jacorb.test.orb.etf.AllTest.suite());

        // Takes ages
//         suite.addTest (org.jacorb.test.orb.AlternateIIOPAddressTest.suite());
//         suite.addTest (org.jacorb.test.orb.AlternateProfileTest.suite());

        suite.addTest (org.jacorb.test.orb.LongLongSeq.suite());
        suite.addTest (org.jacorb.test.orb.RecursiveParam.suite());

        suite.addTest (org.jacorb.test.orb.CodesetTest.suite(1));
        suite.addTest (org.jacorb.test.orb.CodesetTest.suite(2));
         suite.addTest (org.jacorb.test.orb.CodesetTest.suite(3));

        return suite;
    }
}
