package org.jacorb.imrutility.imr;

import java.io.Serializable;

/**
 * A record of details associated with an Implementation/.POA.
 * To be used to store details both in memory and persistence
 */
public class ImplRecord implements Serializable
{
    /** Whether this impl/POA can have multiples*/ 
    boolean multiples = false;

    /** The load balancing policy applicable to this impl/POA
     * @see <code>LoadBalancingPolicy
     */
    int lb_policy = 0;
    
    int mode = 0;
    
    long activatorID = 0;

    /**
     * Constructor
     * @param <code>multiple</code> indicates whether multiples allowed
     * @param <code>policy</code> the load balancing policy to be applied
     */
    public ImplRecord(boolean multiple, int policy, int actMode)
    {
        multiples = multiple;
        lb_policy = policy;
        mode = actMode;
    }
}
