package org.jacorb.imrutility.imr;

import java.util.HashMap;
import java.util.Map;

import org.jacorb.imrutility.imr.policy.LBPolicy;
import org.jacorb.imrutility.imr.policy.FIFO;
import org.jacorb.imrutility.imr.policy.LIFO;
import org.jacorb.imrutility.imr.policy.Random;
import org.jacorb.imrutility.imr.policy.RoundRobin;

/**
 * @author cj
 * 
 * This class creates an instance of each policy type which can then be
 * obtained by any object wishing to apply load balancing.
 * 
 * FIXME - The "requirements" state that the user should be able to 
 * define their own load balancing policy.
 */
class LBPolicyRegistry
{
    static Map map;

    static
    {
        LBPolicy policy;

        map = new HashMap ();
        policy = new RoundRobin ();
        map.put (new Integer(policy.policy()), policy);
        policy = new Random ();
        map.put (new Integer(policy.policy()), policy);
        policy = new FIFO ();
        map.put (new Integer(policy.policy()), policy);
        policy = new LIFO ();
        map.put (new Integer(policy.policy()), policy);
    }

    /**
     * Returns the required <code>LBPolicy</code> object
     * refence
     * @param <code>policy</code> the required <code>LoadBalancingPolicy</code>
     * @return the <code>LBPolicy</code>
     */
    static LBPolicy lookup (LoadBalancingPolicy policy)
    {
        LBPolicy result = 
            (LBPolicy) map.get ( new Integer (policy.value()));  
      
       return result;
    }
    
/*   static LBPolicy lookup (String name)
   {
      LBPolicy result = (LBPolicy) map.get (name);
      
      Class policyClass;

      if ((result == null) && (name != null) && (name.length () > 0))
      {
         // see if strategy is a valid class name
         try
         {
            policyClass = Class.forName (name);

            // check for a load balancing strategy implementation
            if (LBPolicy.class.isAssignableFrom (policyClass))
            {
               try
               {
                  result =
                     (LBPolicy) policyClass.newInstance ();
                  map.put (name, result);
               }
               catch (Throwable ex)
               {
                  //Debug.error ("Error instantiating " + name, ex);
               }
            }
            else
            {
             /*  Debug.error
               (
                  name +
                  " is not an instance of " +
                  "com.prismt.cos.CosLoadBalancing.LoadBalancingStrategy"
               );
             */
/*            }
         }
         catch (ClassNotFoundException ex)
         {
//            Debug.error ("Strategy " + name + " not found", ex);
         }
         catch (Error ex)
         {
//            Debug.error ("Class loading error for " + name, ex);
         }
      }

      return result;
   }
*/
}
