package org.jacorb.imrutility.imr.util;

import java.util.EventListener;

/**
 * @author cj
 *
 * This interface is implemented by objects that wish to advertise the fact
 * that they are running.  It is used by the <code>MulticastServer</code> to
 * notify the object if a request is received.
 */
public interface MulticastListener extends EventListener
{
   /**
    * When a request is received by the <code>MulticastServer</code> it will
    * send a <code>MulticastEvent</code> to it's listeners via this operation
    * @param me the event data
    */
   public byte[] multicastEvent (MulticastEvent me);
}
